API Endpoint Reference / Webhooks

List delivery attempts

GET https://api.printhiv3d.com/v1/webhooks/{id}/attempts

Operation ID listWebhookAttempts. Requires the read API key scope.

The latest 100 delivery attempts of the endpoint, newest first, with the event each one carried.

Parameters

NameInTypeRequiredDescription
idpathuuidYes

Responses

StatusDescription
200Default Response
401Default Response
403Default Response
404Default Response

401 response fields

FieldTypeRequiredDescription
errorstringNo
messagestringNo
requestIdstringNo

403 response fields

FieldTypeRequiredDescription
errorstringNo
messagestringNo
requestIdstringNo

404 response fields

FieldTypeRequiredDescription
errorstringNo
messagestringNo
requestIdstringNo

Example 200 response

[
  {
    "id": "d5a2c8e4-7b1f-4c60-9e3a-1f8d4b6c0a72",
    "endpoint_id": "2a6f0d8e-5c3b-4d19-b7a4-9e1c8f5d3a60",
    "event_id": "8c1e5a7b-2d9f-4f36-a0b4-6d3e9c2f1a85",
    "attempt": 1,
    "status_code": 200,
    "latency_ms": 84,
    "error": null,
    "next_retry_at": null,
    "created_at": "2026-11-04T18:00:05.000Z",
    "webhook_deliveries": {
      "organization_id": "3b9e4d71-0c2f-4a58-8e6d-91f2a7c4b605",
      "status": "delivered"
    },
    "webhook_events": {
      "event_type": "job.completed",
      "event_data": {
        "jobId": "4821",
        "printerId": "7d3f1c2a-5b8e-4f6a-9c1d-2e4b6a8c0f13",
        "jobName": "phone-stand.3mf",
        "previousStatus": "IN_PROGRESS",
        "printCompletedAt": "2026-11-04T18:00:00.000Z",
        "claimGeneration": "6b2d9f4a-1c8e-4a37-8d5b-0e7f3a9c2d14",
        "status": "COMPLETED"
      }
    }
  }
]